Profile
curl --request GET \
--url https://api.sociavault.com/v1/scrape/twitch/profile \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/twitch/profile"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/twitch/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"id": "220476955",
"isLive": false,
"currentViewersCount": null,
"stream": {},
"handle": "ishowspeed",
"displayName": "IShowSpeed",
"profileImageURL": "https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-150x150.png",
"bannerImageURL": "https://static-cdn.jtvnw.net/jtv_user_pictures/983dc814-a78c-4e5a-9d22-e6e7595c76e1-profile_banner-480.png",
"description": "YouTube:IShowSpeed Instagram:IShowSpeed: Snapchat:wishowspeed Twitter: ishowspeedsui I luv y’all🐐💕",
"followers": 4920180,
"isPartner": true,
"recentBroadcasts": {
"0": {
"id": "2790997945",
"title": "WORLD TALENT SHOW🌎 LIVE NOW !!! (Presented by Cash App)",
"previewThumbnailURL": "https://static-cdn.jtvnw.net/cf_vods/d2nvs31859zcd8/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180//thumb/thumb0-320x180.jpg",
"publishedAt": "2026-06-07T16:03:05Z",
"viewCount": 510727,
"lengthSeconds": 8051,
"animatedPreviewURL": "https://d2nvs31859zcd8.cloudfront.net/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180/storyboards/2790997945-strip-0.jpg",
"resourceRestriction": null,
"contentTags": {},
"self": {
"isRestricted": false,
"viewingHistory": null,
"__typename": "VideoSelfEdge"
},
"game": {
"id": "509658",
"slug": "just-chatting",
"boxArtURL": "https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg",
"displayName": "Just Chatting",
"name": "Just Chatting",
"__typename": "Game"
},
"owner": {
"id": "220476955",
"displayName": "IShowSpeed",
"login": "ishowspeed",
"profileImageURL": "https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png",
"primaryColorHex": "FF4747",
"__typename": "User"
},
"__typename": "Video"
},
"1": {
"id": "2787731127",
"title": "FIFA MADE IT OFFICIAL! + LITT STREAM🔥",
"previewThumbnailURL": "https://static-cdn.jtvnw.net/cf_vods/d2vi6trrdongqn/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700//thumb/thumb0-320x180.jpg",
"publishedAt": "2026-06-03T16:38:30Z",
"viewCount": 254970,
"lengthSeconds": 6015,
"animatedPreviewURL": "https://d2vi6trrdongqn.cloudfront.net/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700/storyboards/2787731127-strip-0.jpg",
"resourceRestriction": null,
"contentTags": {},
"self": {
"isRestricted": false,
"viewingHistory": null,
"__typename": "VideoSelfEdge"
},
"game": {
"id": "509658",
"slug": "just-chatting",
"boxArtURL": "https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg",
"displayName": "Just Chatting",
"name": "Just Chatting",
"__typename": "Game"
},
"owner": {
"id": "220476955",
"displayName": "IShowSpeed",
"login": "ishowspeed",
"profileImageURL": "https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png",
"primaryColorHex": "FF4747",
"__typename": "User"
},
"__typename": "Video"
}
},
"allVideos": {
"0": {
"animatedPreviewURL": "https://d2nvs31859zcd8.cloudfront.net/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180/storyboards/2790997945-strip-0.jpg",
"game": {
"boxArtURL": "https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg",
"id": "509658",
"slug": "just-chatting",
"displayName": "Just Chatting",
"name": "Just Chatting",
"__typename": "Game"
},
"id": "2790997945",
"lengthSeconds": 8051,
"owner": {
"displayName": "IShowSpeed",
"id": "220476955",
"login": "ishowspeed",
"profileImageURL": "https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png",
"primaryColorHex": "FF4747",
"roles": {
"isPartner": true,
"__typename": "UserRoles"
},
"__typename": "User"
},
"previewThumbnailURL": "https://static-cdn.jtvnw.net/cf_vods/d2nvs31859zcd8/2a370f1c16b9ea7d9e75_ishowspeed_318034827607_1780848180//thumb/thumb0-320x180.jpg",
"publishedAt": "2026-06-07T16:03:05Z",
"self": {
"isRestricted": false,
"viewingHistory": null,
"__typename": "VideoSelfEdge"
},
"title": "WORLD TALENT SHOW🌎 LIVE NOW !!! (Presented by Cash App)",
"viewCount": 510727,
"resourceRestriction": null,
"contentTags": {},
"__typename": "Video"
},
"1": {
"animatedPreviewURL": "https://d2vi6trrdongqn.cloudfront.net/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700/storyboards/2787731127-strip-0.jpg",
"game": {
"boxArtURL": "https://static-cdn.jtvnw.net/ttv-boxart/509658-40x56.jpg",
"id": "509658",
"slug": "just-chatting",
"displayName": "Just Chatting",
"name": "Just Chatting",
"__typename": "Game"
},
"id": "2787731127",
"lengthSeconds": 6015,
"owner": {
"displayName": "IShowSpeed",
"id": "220476955",
"login": "ishowspeed",
"profileImageURL": "https://static-cdn.jtvnw.net/jtv_user_pictures/46a38d3a-a39c-4c43-ac12-c331b1c469c2-profile_image-50x50.png",
"primaryColorHex": "FF4747",
"roles": {
"isPartner": true,
"__typename": "UserRoles"
},
"__typename": "User"
},
"previewThumbnailURL": "https://static-cdn.jtvnw.net/cf_vods/d2vi6trrdongqn/7c64f82565b5be032f51_ishowspeed_318870490716_1780504700//thumb/thumb0-320x180.jpg",
"publishedAt": "2026-06-03T16:38:30Z",
"self": {
"isRestricted": false,
"viewingHistory": null,
"__typename": "VideoSelfEdge"
},
"title": "FIFA MADE IT OFFICIAL! + LITT STREAM🔥",
"viewCount": 254970,
"resourceRestriction": null,
"contentTags": {},
"__typename": "Video"
}
},
"similarStreamers": {}
},
"credits_used": 1,
"endpoint": "twitch/profile"
}{
"error": "Twitch handle is required"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}Twitch
Profile
Get a Twitch user’s public profile information.
Credit Cost: 1 credit per request
GET
/
v1
/
scrape
/
twitch
/
profile
Profile
💳 1 credit per request
Authorizations
Query Parameters
Twitch handle
Example:
"ishowspeed"
Response
Successful response
Key Response Fields:
id: Twitch user IDhandle: Twitch login handledisplayName: Display nameprofileImageURL: Profile avatar URLbannerImageURL: Profile banner URLdescription: Channel bio/descriptionfollowers: Total follower countisPartner: Whether the user is a Twitch PartnerisLive: Whether currently streamingcurrentViewersCount: Current live viewer count (null if offline)stream: Current stream details (empty object if offline)recentBroadcasts[].title: VOD titlerecentBroadcasts[].viewCount: VOD view countrecentBroadcasts[].lengthSeconds: VOD duration in secondsrecentBroadcasts[].publishedAt: ISO 8601 publish timestamprecentBroadcasts[].game: Game/category info with name and box artallVideos[]: All videos including highlights and uploadssimilarStreamers: Related streamers
⌘I